CREATE TABLE `config` (
  `config_name` varchar(255) NOT NULL default '',
  `config_value` mediumtext NOT NULL
) TYPE=MyISAM;

INSERT INTO `config` VALUES ('link_pos', '1');
INSERT INTO `config` VALUES ('template_body', '{reserved for later version}\r\n');
INSERT INTO `config` VALUES ('site_name', 'My Site.com');
INSERT INTO `config` VALUES ('site_url', 'http://www.mysite.com');
INSERT INTO `config` VALUES ('template_news_body', '<b>{subject}</b><br>\r\n<small>posted by <a href="mailto:{email}">{username}</a> at {time} {comments}</small><br>\r\n{content}<br><br>');
INSERT INTO `config` VALUES ('template_news_header', '<br><BIG><B>{date}</BIG></B><br><br>');
INSERT INTO `config` VALUES ('template_news_footer', '<hr><br>\r\n<!-- End News Day -->');
INSERT INTO `config` VALUES ('date_format', 'l, d F Y');
INSERT INTO `config` VALUES ('time_format', 'H:i');
INSERT INTO `config` VALUES ('time_bias', '0');
INSERT INTO `config` VALUES ('filter_method', 'articles');
INSERT INTO `config` VALUES ('filter_value', '15');
INSERT INTO `config` VALUES ('template_menu_header', '<B>{title}</B><br>');
INSERT INTO `config` VALUES ('template_submenu_header', '{submenu}<br>');
INSERT INTO `config` VALUES ('template_menu_link', '- <a href="{link}">{name}</a><br>');
INSERT INTO `config` VALUES ('template_menu_footer', '<!-- End of Section -->');
INSERT INTO `config` VALUES ('upload_path', '/home/path/to/filedir');
INSERT INTO `config` VALUES ('news_on', '1');
INSERT INTO `config` VALUES ('default_title', 'Welcome');
INSERT INTO `config` VALUES ('default_template', 'Welcome to my page');
INSERT INTO `config` VALUES ('comments_default_on', '1');
INSERT INTO `config` VALUES ('template_comment_link', '| Comments: <a href="{commentlnk}">{commentnum}</a>');
INSERT INTO `config` VALUES ('admin_style', '1');
INSERT INTO `config` VALUES ('comments_on', '1');
INSERT INTO `config` VALUES ('comments_template', '<b>{title}</b><br>\r\n<small>posted by <a href="mailto:{email}">{username}</a> on {date} @ {time}</small><br>\r\n{comment}<br><br><br>');
INSERT INTO `config` VALUES ('comments_header', '<b>Comments:</b><br><br>');
INSERT INTO `config` VALUES ('comments_footer', '<br><br>\r\n<b>Submit a Comment:</b><br>\r\nName: {userbox}<br>\r\nE-Mail: {emailbox}<br><br>\r\nTitle: {titlebox}\r\n<br><br>\r\nComment:<br>\r\n{commentbox}<br><br>\r\n{submit}{reset}<br>');
INSERT INTO `config` VALUES ('upload_url', 'http://www.');
INSERT INTO `config` VALUES ('php_parser', '0');
INSERT INTO `config` VALUES ('html_area', '1');
INSERT INTO `config` VALUES ('default_language', '');
INSERT INTO `config` VALUES ('categories_on', '1');
INSERT INTO `config` VALUES ('news_scheduling', '1');
INSERT INTO `config` VALUES ('schedule_amount', '15');
INSERT INTO `config` VALUES ('cat_link', '1');


CREATE TABLE `event_log` (
  `id` int(10) NOT NULL auto_increment,
  `type` char(1) default NULL,
  `description` varchar(50) NOT NULL default '',
  `info` varchar(75) default NULL,
  `referer` varchar(125) default NULL,
  `userid` int(10) default NULL,
  `IP` varchar(30) default NULL,
  `hostname` varchar(125) default NULL,
  `agent` varchar(125) default NULL,
  `date` datetime default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



CREATE TABLE `group_members` (
  `id` int(10) NOT NULL auto_increment,
  `groupid` int(10) default NULL,
  `userid` int(10) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;



INSERT INTO `group_members` VALUES (28, 1, 1);



CREATE TABLE `groups` (
  `id` int(10) NOT NULL auto_increment,
  `groupname` varchar(40) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Security Groups' AUTO_INCREMENT=10 ;


INSERT INTO `groups` VALUES (1, 'Site Administrator');
INSERT INTO `groups` VALUES (2, 'Add News');
INSERT INTO `groups` VALUES (3, 'Add Content');
INSERT INTO `groups` VALUES (4, 'Modify / Delete Content');
INSERT INTO `groups` VALUES (5, 'Modify / Delete News');
INSERT INTO `groups` VALUES (6, 'Add / Modify / Delete Menu Sections');
INSERT INTO `groups` VALUES (7, 'Sort Menu Items');
INSERT INTO `groups` VALUES (8, 'Upload Files');
INSERT INTO `groups` VALUES (9, 'Modify / Delete Uploaded Files');
INSERT INTO `groups` VALUES (10, 'Modify Categories');
INSERT INTO `groups` VALUES (11, 'Add/Modify Announcements');
INSERT INTO `groups` VALUES (12, 'View Statistics');

CREATE TABLE `menu_tree` (
  `id` int(11) NOT NULL auto_increment,
  `title` text NOT NULL,
  `parent` int(11) NOT NULL default '0',
  `orderby` int(5) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;






CREATE TABLE `news` (
  `id` int(10) NOT NULL auto_increment,
  `subject` varchar(255) NOT NULL default '',
  `content` mediumtext NOT NULL,
  `date` date NOT NULL default '0000-00-00',
  `time` time default NULL,
  `userid` int(10) NOT NULL default '0',
  `comments` INT( 1 ) NOT NULL DEFAULT '0',
  `cat_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;




CREATE TABLE `pagemap` (
  `ID` int(10) NOT NULL auto_increment,
  `PCONTENT` longtext,
  `MNAME` text,
  `SUBID` int(5) default '0',
  `MENPG` int(1) NOT NULL default '0',
  `ORDERBY` int(5) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `link_target` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `pagemap` VALUES (9999, 'index page', 'index page', -1, -1, -1, -1, 0, 0);



CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(30) NOT NULL default '',
  `password` varchar(40) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  `status` varchar(8) NOT NULL default '',
  `joindate` datetime default NULL,
  `language` char(3) NOT NULL default 'eng',
  `lastlogin` datetime NOT NULL default '0000-00-00 00:00:00',
  KEY `ID` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;


INSERT INTO `users` VALUES (1, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin@mysite.com', 'Active', '2003-11-25 23:32:29', 'eng', '2004-07-08 00:33:07');



CREATE TABLE `news_comments` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `comment` mediumtext NOT NULL,
  `news_id` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `username` varchar(50) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `ip` varchar(15) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;




CREATE TABLE `watch_list` (
  `id` int(11) NOT NULL auto_increment,
  `value` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;







CREATE TABLE `cinj_announcements` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(150) NOT NULL default '',
  `announcement` mediumtext NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `user_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;



INSERT INTO `cinj_announcements` VALUES (1, 'Welcome...', 'Welcome to Content Injector, if this is your first time using this \r\npackage, please take some time to get used to the features of the \r\nsystem.<BR><BR>It is also advised that you delete or change the password of the \r\nadmin user immediately.<BR><BR>Most of all, enjoy using the script and let me \r\nknow if you have any problems.', '2004-07-07 19:30:57', 1);




CREATE TABLE `cinj_news_cats` (
  `id` int(11) NOT NULL auto_increment,
  `category` text NOT NULL,
  `default` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1;







CREATE TABLE `cinj_targets` (
  `tid` int(11) NOT NULL auto_increment,
  `target` varchar(100) NOT NULL default '',
  `default` int(1) NOT NULL default '0',
  PRIMARY KEY  (`tid`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;


INSERT INTO `cinj_targets` VALUES (1, '_parent', 0);
INSERT INTO `cinj_targets` VALUES (2, '_self', 1);
INSERT INTO `cinj_targets` VALUES (3, '_top', 0);
INSERT INTO `cinj_targets` VALUES (4, '_blank', 0);